petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLogGetStageLog

This function returns the default stage logging object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogGetStageLog(PetscStageLog *stageLog)

Not collective

### Output Parameter

stageLog -The default PetscStageLog

### Developer Notes

Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault()

### See Also

PetscStageLogCreate()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages